﻿@using Jumbula.Common.Helper
@model List<Jumbula.Core.Domain.ProgramScheduleDay>


@{
    const string dayFormat = "<li class=\"{0}\">" +
                             "<span class=\"icon {1}\"></span>" +
                             "<span class=\"title\">{2}</span>" +
                             "<span class=\"times\">{3}</span >" +
                             "</li > ";

    string sunday = string.Format(dayFormat, "closed", String.Empty, "Sun", "&nbsp;"),
        monday = string.Format(dayFormat, "closed", String.Empty, "Mon", "&nbsp;"),
        tuesday = string.Format(dayFormat, "closed", String.Empty, "Tue", "&nbsp;"),
        wednesday = string.Format(dayFormat, "closed", String.Empty, "Wed", "&nbsp;"),
        thusday = string.Format(dayFormat, "closed", String.Empty, "Thu", "&nbsp;"),
        friday = string.Format(dayFormat, "closed", String.Empty, "Fri", "&nbsp;"),
        saturday = string.Format(dayFormat, "closed", String.Empty, "Sat", "&nbsp;");

}

@foreach (var day in Model)
{
    const string cssClass = "jbi-check";
    var times = "&nbsp";
   if (day.StartTime.HasValue && day.EndTime.HasValue)
    {
        times = DateTimeHelper.FormatTimeRange(day.StartTime.Value, day.EndTime.Value);
    }
    
    switch (day.DayOfWeek)
    {
        case DayOfWeek.Sunday:
            {
                sunday = string.Format(dayFormat, String.Empty, cssClass, "Sun", times);
                break;
            }
        case DayOfWeek.Monday:
            {
                monday = string.Format(dayFormat, String.Empty, cssClass, "Mon", times);
                break;
            }
        case DayOfWeek.Tuesday:
            {
                tuesday = string.Format(dayFormat, String.Empty, cssClass, "Tue", times);
                break;
            }
        case DayOfWeek.Wednesday:
            {
                wednesday = string.Format(dayFormat, String.Empty, cssClass, "Wed", times);
                break;
            }
        case DayOfWeek.Thursday:
            {
                thusday = string.Format(dayFormat, String.Empty, cssClass, "Thu", times);
                break;
            }
        case DayOfWeek.Friday:
            {
                friday = string.Format(dayFormat, String.Empty, cssClass, "Fri", times);
                break;
            }

        case DayOfWeek.Saturday:
            {
                saturday = string.Format(dayFormat, String.Empty, cssClass, "Sat", times);
                break;
            }

    }
}

@{ var result = sunday + monday + tuesday + wednesday + thusday + friday + saturday; }

@Html.Raw(WebUtility.HtmlDecode(result))